# Bacon Script


## Installing

> $ pip install python-osc

Building the lexer and parser for Python3

> $ antlr4 -Dlanguage=Python3 CommentMacro.g4



## Unsupported Macros
These Comment Macros do not have supporting equivelents in OSC:

*   Release All
*   Release Others
*   Master Assert
*   List Assert
*   Scene Assert
*   Batch GO
*   Batch Halt
*   Batch Assert
*   Batch Release
*   Node Reset
*   Change Page
*   Next Page
*   Prev Page
*   Recall View
*   Keystroke Macro Go
*   Keystroke Macro Halt
*   Keystroke Macro Stop

## Future Work
Pleas feel welcome to submit pull requests or patches that enable support for:

*   Sending target ranges as batches
*   Multiple comment macros per line
*   Send multi-macro line as a batch
*   Timing on master fades
